local aguf = Deadened:NewModule("agUF", "AceHook-3.0")

function aguf:OnEnable(module)
	if not aUF then return end
	if not self:IsHooked(aUF.units.aUFtarget, "SpellcastStart") then
		self:RawHook(aUF.units.aUFtarget, "SpellcastStart", "UNIT_SPELLCAST_START")
	end
end

function aguf:MenuHide()
	return aUF == nil
end

function aguf:UNIT_SPELLCAST_START(orig_object, event, unit, ...)
	if unit == "target" then
		local spell, rank, displayName, icon, startTime, endTime = UnitCastingInfo(unit)
		if not Deadened:IsDeaden(displayName) then
			self.hooks[orig_object].UNIT_SPELLCAST_START(orig_object, event, unit, ...)
		end
	end
end
